Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Base_var Class Reference

TAO_Base_var. More...

`#include <varbase.h>`

Inheritance diagram for TAO_Base_var:

[legend]
List of all members.

## Public Methods
| TAO_Base_var (void)
## Private Methods
| TAO_Base_var (const TAO_Base_var &)
TAO_Base_var & | operator= (const TAO_Base_var &)

## Detailed Description

TAO_Base_var.

Base class for object _var classes. Used to prevent the _var class of a CORBA interface from accepting the _var of a more derived interface in its copy constructor or assignment operator.

## Constructor & Destructor Documentation

TAO_Base_var::TAO_Base_var | ( | void |  | ) | `[inline]`

TAO_Base_var::TAO_Base_var | ( | const TAO_Base_var & |  | ) | `[private]`

## Member Function Documentation

TAO_Base_var& TAO_Base_var::operator= | ( | const TAO_Base_var & |  | ) | `[private]`

| Reimplemented in TAO_Objref_Var_T< T >, TAO_Objref_Var_T< ORBInitializer >, and TAO_Objref_Var_T< CodecFactory >.

The documentation for this class was generated from the following file:

- varbase.h